<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('grupos', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('plan_id');
            $table->string('clave')->unique();
            $table->unsignedBigInteger('ciclo');
            $table->unsignedBigInteger('nivel');
            $table->unsignedBigInteger('plantel');
            $table->unsignedBigInteger('turno');
            $table->boolean('status');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('grupos');
    }
};
